<script type="text/javascript">
	$(document).ready(function(){
	$("#input_rmb").hide();
	$("#data_detail").hide();
	
	cari_user();
	
	function cari_user(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_user").val(data.user);
				$("#mulai").focus();				
			}
		});
	}

	$("#mulai").click(function(){
		$(".input_detail").val('');
		$(".input_header").val('');
		cari_tanggal();
	});
	
	function cari_tanggal(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		
		$.ajax({
			type	: "POST",
			url		: "md_gdg/retur_mbr/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);
				$('#input_rmb').show();
				$('#data_detail').show();
				cari_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("md_gdg/retur_mbr/tampil_data_detail.php?kode="+kode);
	}
	
	$('#txt_tanggal').keyup(function(){
	    cari_nomor();
	});
	
	function cari_nourut(){
		var kode = $("#txt_kode").val();
				
		$.ajax({
			type	: "POST",
			url		: "md_gdg/retur_mbr/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);		
			}
		});
	}
	
	$('#form_cari_koderm').dialog({
		autoOpen: false,
		modal	: true,
		width: 750,
	});
		
	$('#cari_koderm').click(function(){
		var cari = $("#txt_carikode").val();
		$('#form_cari_koderm').dialog('open');
		$("#info_koderm").show();
		$("#info_koderm").load("md_gdg/retur_mbr/tampil_koderm.php?cari="+cari);
		$("#txt_carikode").focus();
	});
		
	$("#txt_carikode").keyup(function(){
		var cari = $("#txt_carikode").val();
		
		$.ajax({
			type	: "POST",
			url		: "md_gdg/retur_mbr/tampil_koderm.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_koderm").html(data);				
			}
		});
	});
	
	$('#form_cari_barang').dialog({
		autoOpen: false,
		modal	: true,
		width: 800,
	});
	
	$('#txt_namast').click(function(){
		$('#form_cari_barang').dialog('open');
		$("#txt_caribr").focus();
	});
	
	$('#txt_namast').keyup(function(){
		$('#form_cari_barang').dialog('open');
		$("#txt_caribr").focus();
	});
	
	$("#txt_caribr").keyup(function(){
		var cari= $("#txt_caribr").val();
		if(cari.length>3){
		$.ajax({
			type	: "POST",
			url		: "md_gdg/retur_mbr/tampil_data_barang.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_barang").html(data);				
			}
		});
		}
	});
	
	$("#simpan").click(function(){
		var kode	= $("#txt_kode").val();
		var tanggal	= $("#txt_tanggal").val();
		var petugas	= $("#txt_petugas").val();
		var gdasal  = $("#txt_gdasal").val();
		var nourut	= $("#txt_nourut").val();
		var kodest	= $("#txt_kodest").val();
		var namast	= $("#txt_namast").val();
		var jmlunit	= $("#txt_jmlunit").val();
		var satuan	= $("#txt_satuan").val();
		var hgbeli	= $("#txt_hgbeli").val();
		var keter	= $("#txt_keter").val();
		var user 	= $("#txt_user").val();
		var kodetgl = kode.substring(3,9);
		var thn		= tanggal.substring(2,4);
		var bln     = tanggal.substring(5,7)
		var tgl     = tanggal.substring(8,10);
		var tglfak  = thn+bln+tgl;

		if(!(tglfak==kodetgl)){
			alert('Maaf, penulisan tanggal tidak benar. Isi kolom tanggal dengan diketik.');
			$("#txt_tanggal").focus();
			return(false);
		}
		if(kodest.length == 0){
           alert("Maaf, Kode Barang tidak boleh kosong.");
		   $("#txt_kodest").focus();
		   return (false);
        }		
		
		$.ajax({
			type	: "POST",
			url	    : "md_gdg/retur_mbr/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&petugas="+petugas+
					"&gdasal="+gdasal+
					"&nourut="+nourut+
					"&kodest="+kodest+
					"&namast="+namast+
					"&satuan="+satuan+
					"&jmlunit="+jmlunit+
					"&hgbeli="+hgbeli+
					"&keter="+keter+
					"&user="+user,
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_namast").focus();
				cari_nourut();
				tampil_data_detail();
			}
		});
	});
	
	$("#rekam_rmb").click(function(){	
		var kode    = $("#txt_kode").val();
		var tanggal = $("#txt_tanggal").val();
		var petugas	= $("#txt_petugas").val();
		
		if(kode.length == 0){
           alert("Maaf, Kode pembelian  masih kosong.");
		   return (false);
        }		
		
		$.ajax({
			type	: "POST",
			url	    : "md_gdg/retur_mbr/simpan_rmb.php",
			data	: "kode="+kode+
				"&tanggal="+tanggal+
				"&petugas="+petugas,
			success	: function(data){
				$("#info").html(data);
				$("#data_detail").hide();
				$("#cetak_bpb").focus();
				$("#txt_posting").val('P');
			}
		});
	});
	
	$("#cetak_rmb").click(function(){
		var kode	= $("#txt_kode").val();
		var posting = $("#txt_posting").val();
		
		if(posting.length == 0){
			alert("Maaf, data mutasi barang belum direkam.");
			$("#rekam_rmb").focus();
			return (false);
        }
        
		window.location.href='modul/laporan/bukti_rmb.php?kode='+kode;
		$("#mulai").focus();
	});
	
	$("#batal_rmb").click(function(){
		var kode = $("#txt_kode").val();
		
		if(kode.length == 0){           
           alert("Maaf, Kode pembelian  masih kosong.");
		   return (false);
        }		
		
		var pilih = confirm('Apakah Anda sungguh-sungguh ingin membatalkan input mutasi barang '+kode+' ini ?');
		if (pilih==true) {
			var	kode= $("#txt_kode").val();			
			$.ajax({
				type	: "POST",
				url	    : "md_gdg/retur_mbr/batal_input.php",
				data	: "kode="+kode,
				success	: function(data){
					$("#info").html(data);
					$(".input_detail").val('');
					$(".input_header").val('');
					$('#data_detail').hide();
				}
			});
		}
	});
	
	$("#tutup").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
.input_detail readonly {
	background:#666;
}
</style>

<?php
include "../../inc/inc.koneksi.php";

echo "<table width='100%'>	
	<tr>
	    <input type='text' id='txt_user' hidden/>
	    <input type='text' id='txt_posting' class='input_header' hidden />
		<td>Kode Mutasi : <input type='text' id='txt_kode' size='16' readonly class='input_header'>
			<img src='images/view.png' width='18' height='18' title='Cari kode transaksi' id='cari_koderm'>
		</td>
		<td>Tanggal : <input type='date' id='txt_tanggal' size='12' class='input_header' ></td>
		<td>Gudang Asal : <select id='txt_gdasal'>";
				$sql=mysql_query("SELECT * FROM cabang WHERE 1 ORDER BY kode_cab");
				while($r=mysql_fetch_array($sql)){
				    $kodecab=$r['kode_cab'];
				    echo "<option value='$kodecab'>$r[nama_cab]</option>";
				}
			echo "</select>
		</td>
		<td>Petugas : <input type='text' id='txt_petugas' size='20' class='input_header'></td>
	</tr>
</table>
<hr>";

echo "<div id='form_input'>
	<table>
		<tr>
			<th>Nama Barang</th>
			<th>Kode</th>
			<th>Jml. Unit</th>
			<th>Satuan</th>
			<th>Keterangan</th>
			<th></th>
		</tr>
		<tr>
			<input type='text' id='txt_nourut' class='input_detail' hidden/>
			<input type='text' id='txt_hgbeli' class='input_detail' hidden/>
			<td align='center'><input type='text' id='txt_namast' class='input_detail' size='30'></td>
			<td align='center'><input type='text' id='txt_kodest' class='input_detail' size='6' readonly/></td>
			<td align='center'><input type='text' id='txt_jmlunit' class='input_detail' size='8'></td>
			<td align='center'><input type='text' id='txt_satuan' class='input_detail' size='10' readonly/></td>
			<td align='center'><input type='text' id='txt_keter' class='input_detail' size='60'></td>
			<td align='center'><button id='simpan'>Rekam</button></td>
		</tr>
	</table>
</div>";

echo "<div id='input_rmb'>
	<table width='100%'>
	    <tr>		
		    <input type='text' name='txt_posting' id='txt_posting' class='input_header' hidden />
	    	<td align='center'>
		    	<button id='rekam_rmb'>Rekam Mutasi</button>
			    <button id='cetak_rmb'>Cetak Bukti Pengembalian</button>
    			<button id='batal_rmb'>Batal</button>
	    	</td>
	    </tr>
	</table>
</div>";

echo "<div id='data_detail' style='overflow-x: auto;height: 350px;scroll-behavior: smooth'></div>";

echo "<div id='form_cari_barang' title='Pencarian Barang'>
		<table width='100%'>
			<tr>
				<td>Cari barang : <input type='text' name='txt_caribr' id='txt_caribr' size='40'></td>
			</tr>
		</table>
		<div id='info_barang' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

echo "<div id='form_cari_koderm' title='Pencarian Kode Transaksi'>
		<table width='100%'>
			<tr>
				<td>Cari kode transaksi : <input type='text' id='txt_carikode' size='20'></td>
			</tr>
		</table>

		<div id='info_koderm' align='center'></div>
	</div>";

echo "<table width='100%'>
	<tr>
		<td colspan='3' align='center'>
		    <button id='mulai'>Input Mutasi</button>
		    <button id='tutup'>Tutup</button>
		</td>
	</tr>
</table>";
?>